Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.io.impl
Class RSS091NetscapeGenerator

    java.lang.Object
      com.sun.syndication.io.impl.BaseWireFeedGenerator
          com.sun.syndication.io.impl.RSS090Generator
              com.sun.syndication.io.impl.RSS091UserlandGenerator
                  com.sun.syndication.io.impl.RSS091NetscapeGenerator

All Implemented Interfaces:
  WireFeedGenerator

    public class RSS091NetscapeGenerator

extends RSS091UserlandGenerator

Feed Generator for RSS 0.91

Author:
  Elaine Chien

Constructor Summary
`` | `RSS091NetscapeGenerator()`
`protected` | `RSS091NetscapeGenerator(String type, String version)`

Method Summary
`protected org.jdom.Document` | `createDocument(org.jdom.Element root)`
`protected String` | `getTextInputLabel()`
`protected boolean` | `isHourFormat24()` To be overriden by RSS 0.91 Netscape and RSS 0.94

Methods inherited from class com.sun.syndication.io.impl.RSS091UserlandGenerator
`addChannel, checkChannelConstraints, checkImageConstraints, checkItemConstraints, checkTextInputConstraints, createRootElement, generateSkipDaysElement, generateSkipHoursElement, getFeedNamespace, getVersion, populateChannel, populateFeed, populateImage, populateItem`

Methods inherited from class com.sun.syndication.io.impl.RSS090Generator
`addImage, addItem, addItems, addTextInput, checkItemsConstraints, checkLength, checkNotNullAndLength, generate, generateSimpleElement, getContentNamespace, getRDFNamespace, populateTextInput`

Methods inherited from class com.sun.syndication.io.impl.BaseWireFeedGenerator
`generateFeedModules, generateForeignMarkup, generateItemModules, generateModuleNamespaceDefs, generatePersonModules, getType, purgeUnusedNamespaceDeclarations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSS091NetscapeGenerator

    public RSS091NetscapeGenerator()

### RSS091NetscapeGenerator

    protected RSS091NetscapeGenerator(String type,
                                      String version)

Method Detail

### createDocument

    protected org.jdom.Document createDocument(org.jdom.Element root)

  Overrides:
    `createDocument` in class `RSS091UserlandGenerator`

### getTextInputLabel

    protected String getTextInputLabel()

  Overrides:
    `getTextInputLabel` in class `RSS090Generator`

### isHourFormat24

    protected boolean isHourFormat24()

  To be overriden by RSS 0.91 Netscape and RSS 0.94

  Overrides:
    `isHourFormat24` in class `RSS091UserlandGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2013 ROME Project. All Rights Reserved.